Subject: kamaki server wait is lying

Description

When trying to delete a server, I want to wait until it's gone.

The server is ACTIVE.

I'm running:

$ kamaki server wait 152052

Server 152052 still in BUILD mode |                                | 0% - 0s

Server 152052 is now in ACTIVE mode

and kamaki is lying. The server is not "still" in BUILD "mode".

Also, BUILD/ACTIVE/DELETED is the "status" of the VM, so the message should read

"Status of server XXX is now ACTIVE".

Please modify all of the source and documentation accordingly.

Related issues:

related to ./kamaki - Bug # 4341: Wait functionality should catch inerrupt si... Closed 09/20/2013 09/25/2013

Associated revisions

Revision a9598baf - 09/26/2013 06:15 pm - Stavros Sachtouris

Make wait_* methods to behave gracefully in CLI

Refs: #4345, #4341

Revision bf5408f4 - 09/27/2013 03:07 pm - Stavros Sachtouris

Modify Changelog for updates in cli wait methods

Refs: #4351, #4352, #4345

History

#1 - 09/26/2013 05:11 pm - Stavros Sachtouris

- Due date set to 09/27/2013

- Priority changed from High to Medium

- Target version changed from v0.10 to v0.11

#2 - 09/26/2013 06:15 pm - Stavros Sachtouris

- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

- Estimated time set to 1.00

The new wait message is

<service> <service id>: periodically check if status is <status>

Possible outcomes:

<service> <service id>: status is <new status>

or 

<Time out: <service> <service id> still in <status>

#3 - 10/29/2013 12:18 pm - Stavros Sachtouris

- Status changed from Resolved to Closed
